
User Interface - Feature #1826

GUI web client skinning support (look and feel control) via CSS

10/30/2012 01:12 PM - Greg Shah

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 80.00 hours

Target version: Cleanup and Stabilization for GUI   

billable: No vendor_id: GCD

Description

Related issues:

Related to User Interface - Feature #3684: implement a web theme inspired by ... Closed

History

#1 - 10/31/2012 02:45 PM - Greg Shah

- Target version set to 23

#2 - 11/16/2016 01:21 PM - Greg Shah

- Target version changed from 23 to Cleanup and Stabilization for GUI

#3 - 08/13/2018 12:06 PM - Greg Shah

- Subject changed from GUI client skinning support (look and feel control via CSS in AJAX and ? in Swing GUI) to GUI web client skinning support

(look and feel control) via CSS

#4 - 08/13/2018 12:08 PM - Greg Shah

- Related to Feature #3684: implement a web theme inspired by material design added

#5 - 05/04/2023 09:07 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

This feature has been implemented using Java subclassing and an extensive Theme class hierarchy.  The CSS approach does not suite the direct

drawing (canvas) approach of FWD.  All the capabilities (and more) are available at this time.
